#! /bin/sh
#
# Copyright 1998 - 2005 Double Precision, Inc.
# See COPYING for distribution information.


prefix=/usr
exec_prefix=/usr
bindir=${exec_prefix}/bin
libexecdir=/usr/libexec

if test ! -f /etc/courier-imap/imapd
then
	echo "/etc/courier-imap/imapd does not exist, forgot make install-configure?"
	exit 1
fi

if test ! -f /etc/courier-imap/imapd-ssl
then
	echo "/etc/courier-imap/imapd-ssl does not exist, forgot make install-configure?"
	exit 1
fi

TLS_CACHEFILE=""
. /etc/courier-imap/imapd
. /etc/courier-imap/imapd-ssl

case $1 in
start)
	if test "$TLS_CACHEFILE" != ""
	then
		rm -f $TLS_CACHEFILE
	fi

	umask $IMAP_UMASK
	ulimit -v $IMAP_ULIMITD
	/usr/bin/env -i /bin/sh -c " set -a ;
		prefix=/usr ;
		exec_prefix=/usr ;
		bindir=${exec_prefix}/bin ;
		libexecdir=/usr/libexec ;
		. /etc/courier-imap/imapd ; \
		. /etc/courier-imap/imapd-ssl ; \
		PROXY_HOSTNAME=$PROXY_HOSTNAME ; \
		IMAP_TLS=1; \
		/usr/bin/mkdir -p `dirname $SSLPIDFILE` ; \
		/usr/sbin/courierlogger -pid=$SSLPIDFILE -start $SSLLOGGEROPTS \
		/usr/libexec/couriertcpd -address=$SSLADDRESS \
			-maxprocs=$MAXDAEMONS -maxperip=$MAXPERIP \
			$TCPDOPTS \
			$SSLPORT $COURIERTLS -server -tcpd \
				${exec_prefix}/sbin/imaplogin \
				${exec_prefix}/bin/imapd ${MAILDIRPATH}"
	;;
stop)
	/usr/sbin/courierlogger -pid=$SSLPIDFILE -stop
	;;
esac
exit 0
